# Generated by Django 3.1.7 on 2021-03-26 19:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('interscitybus', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Graph',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('city', models.CharField(default='sao_paulo', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Node',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('num', models.IntegerField()),
                ('lat', models.FloatField()),
                ('lon', models.FloatField()),
                ('graph', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='interscitybus.graph')),
            ],
        ),
        migrations.CreateModel(
            name='Edge',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('node1_num', models.IntegerField()),
                ('node2_num', models.IntegerField()),
                ('distance', models.FloatField()),
                ('graph', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='interscitybus.graph')),
            ],
        ),
    ]
